Bug 867735 - realmd discover AVC denials
realmd discover AVC denials
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 04:14 EDT by Karel Srot
Modified: 2012-12-20 11:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:07:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2012-10-18 04:14:38 EDT
Description of problem:

While testing following scenario during the Active Directory test day I got AVC denials. I am not sure whether these denials are related directly with the realmd discover command, they appear occasionally.

https://fedoraproject.org/wiki/QA:Testcase_Active_Directory_realmd_discovery


# realm discover nullroute.eu.org
nullroute.eu.org
  configured: no
  type: kerberos
  realm-name: NULLROUTE.EU.ORG
  domain-name: nullroute.eu.org


seemed to work fine bug AVC logged

type=AVC msg=audit(1350547003.053:954): avc:  denied  { dac_override } for  pid=3041 comm="realmd" capability=1  scontext=system_u:system_r:realmd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:realmd_t:s0-s0:c0.c1023 tclass=capability
type=AVC msg=audit(1350547003.053:955): avc:  denied  { write } for  pid=3041 comm="realmd" name="root" dev="vda3" ino=130052 scontext=system_u:system_r:realmd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:admin_home_t:s0 tclass=dir
type=AVC msg=audit(1350547003.053:956): avc:  denied  { add_name } for  pid=3041 comm="realmd" name=".cache" scontext=system_u:system_r:realmd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:admin_home_t:s0 tclass=dir
type=AVC msg=audit(1350547003.053:957): avc:  denied  { create } for  pid=3041 comm="realmd" name=".cache" scontext=system_u:system_r:realmd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:admin_home_t:s0 tclass=dir
type=AVC msg=audit(1350547003.063:958): avc:  denied  { create } for  pid=3041 comm="realmd" name="user" scontext=system_u:system_r:realmd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:admin_home_t:s0 tclass=file
type=AVC msg=audit(1350547003.066:959): avc:  denied  { read write open } for  pid=3041 comm="realmd" path="/root/.cache/dconf/user" dev="vda3" ino=151585 scontext=system_u:system_r:realmd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:admin_home_t:s0 tclass=file

--



Version-Release number of selected component (if applicable):
realmd-0.9-1.fc18.i686
selinux-policy-3.11.1-36.fc18.noarch

How reproducible:
occasionally

Steps to Reproduce:
Just followed the test day scenario
https://fedoraproject.org/wiki/QA:Testcase_Active_Directory_realmd_discovery
Comment 1 Miroslav Grepl 2012-10-24 06:04:50 EDT
Fixed in selinux-policy-3.11.1-44.fc18.noarch
Comment 2 Fedora Update System 2012-10-26 11:39:11 EDT
selinux-policy-3.11.1-46.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-46.fc18
Comment 3 Fedora Update System 2012-10-26 15:28:41 EDT
Package selinux-policy-3.11.1-46.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-46.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16862/selinux-policy-3.11.1-46.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 11:08:00 EST
selinux-policy-3.11.1-46.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.